<?php



class TblblogentryinvalidMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogentryinvalidMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogentryinvalidPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogentryinvalidPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogentryinvalid');
		$tMap->setClassname('Tblblogentryinvalid');

		$tMap->setUseIdGenerator(false);

		$tMap->addColumn('EI_FROM', 'EiFrom', 'INTEGER', false, null);

		$tMap->addColumn('EI_TO', 'EiTo', 'INTEGER', false, null);

		$tMap->addPrimaryKey('EI_ENTRY', 'EiEntry', 'INTEGER', true, null);

		$tMap->addColumn('EI_CONTENT', 'EiContent', 'LONGVARCHAR', false, null);

		$tMap->addColumn('EI_BLOG', 'EiBlog', 'INTEGER', false, null);

		$tMap->addColumn('EI_DATESENT', 'EiDatesent', 'TIMESTAMP', true, null);

	} 
} 